# std::_Mutex_base< _S_mutex > Class Template Reference

Inheritance diagram for std::_Mutex_base< _S_mutex >:

List of all members.

## Detailed Description

### template<>
class std::_Mutex_base< _S_mutex >

Definition at line 98 of file boost_sp_counted_base.h.

## Public Member Functions

- __gthread_mutex_t * gthread_mutex (void)
- void lock ()
- void unlock ()

## Protected Types

- enum { _S_need_barriers }

The documentation for this class was generated from the following file:

- boost_sp_counted_base.h